Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FXLNetsAuthProvider

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FBaseAuthProvider
          com.ejie.r01f.servlet.filter.authorization.R01FXLNetsAuthProvider

public class R01FXLNetsAuthProvider
extends R01FBaseAuthProvider

Provider de seguridad basado en XLNets

Constructor Summary
`R01FXLNetsAuthProvider()` Constructor
`R01FXLNetsAuthProvider(javax.servlet.ServletRequest newReq)` Constructor en base a la request

Method Summary
`R01FTargetCtx` | `authorize(R01FAuthCtx authCtx, R01FTargetCfg targetCfg)` Consulta los datos de autorización del destino cuya configuracion se pasa como parametro
`R01FAuthCtx` | `getContext(R01FAuthCfg authCfg)` Comprueba si el usuario tiene sesion abierta, es decir, comprueba si el usuario se ha autenticado
`void` | `redirectToLogin(javax.servlet.ServletResponse res, java.lang.String returnURL)` Redirige al usuario a la página de login

Methods inherited from class com.ejie.r01f.servlet.filter.authorization.R01FBaseAuthProvider
`getProps, getRequest, init, setRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### R01FXLNetsAuthProvider

    public R01FXLNetsAuthProvider()

  Constructor

### R01FXLNetsAuthProvider

    public R01FXLNetsAuthProvider(javax.servlet.ServletRequest newReq)

  Constructor en base a la request

Method Detail

### getContext

    public R01FAuthCtx getContext(R01FAuthCfg authCfg)

  Description copied from class: `R01FBaseAuthProvider`
  Comprueba si el usuario tiene sesion abierta, es decir, comprueba si el usuario se ha autenticado. - Si el usuario se ha autenticado, devuelve un objeto con el contexto de la sesión - Si el usuario no se ha autenticado devuelve null

  Specified by:
    `getContext` in class `R01FBaseAuthProvider`
  Parameters:
    `authCfg` - La configuracion de autorizacion
  Returns:
    Un objeto con el contexto o null si el usuario no se ha autenticado

### redirectToLogin

    public void redirectToLogin(javax.servlet.ServletResponse res,
                                java.lang.String returnURL)

  Description copied from class: `R01FBaseAuthProvider`
  Redirige al usuario a la página de login

  Specified by:
    `redirectToLogin` in class `R01FBaseAuthProvider`
  Parameters:
    `res` - la response
    `returnURL` - La url a la que ha de devolver al usuario la aplicación de login una vez que este ha hecho login

### authorize

    public R01FTargetCtx authorize(R01FAuthCtx authCtx,
                                   R01FTargetCfg targetCfg)

  Description copied from class: `R01FBaseAuthProvider`
  Consulta los datos de autorización del destino cuya configuracion se pasa como parametro

  Specified by:
    `authorize` in class `R01FBaseAuthProvider`
  Parameters:
    `authCtx` - El contexto de autorizacion
    `targetCfg` - La configuracion del target
  Returns:
    un objeto `R01FTargetCtx` con el contexto de autorizacion para el destino

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD